package com.ruoyi.biz.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import java.util.Date;

/**
 * 专利有效原始对象 biz_patent_valid_og
 * 
 * @author dm
 * @date 2023-03-09
 */
@Data
@ApiModel(value = "专利有效原始对象") 
public class BizPatentValidOg
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "主键")
    private String id;

    /** 申请号 */
    @Excel(name = "申请号")
    @ApiModelProperty(value = "申请号")
    private String an;

    /** 授权入库日 */
    @Excel(name = "授权入库日")
    @ApiModelProperty(value = "授权入库日")
    private String databaseDate;

    /** 申请日 */
    @Excel(name = "申请日")
    @ApiModelProperty(value = "申请日")
    private String ad;

    /** 发明名称 */
    @Excel(name = "发明名称")
    @ApiModelProperty(value = "发明名称")
    private String patentName;

    /** 代理机构代码 */
    @Excel(name = "代理机构代码")
    @ApiModelProperty(value = "代理机构代码")
    private String agentOrgCode;

    /** 代理机构名称 */
    @Excel(name = "代理机构名称")
    @ApiModelProperty(value = "代理机构名称")
    private String agentOrgName;

    /** 主分类号 */
    @Excel(name = "主分类号")
    @ApiModelProperty(value = "主分类号")
    private String ipc;

    /** 专利权人名称 */
    @Excel(name = "专利权人名称")
    @ApiModelProperty(value = "专利权人名称")
    private String peopleName;

    /** 专利权人邮编 */
    @Excel(name = "专利权人邮编")
    @ApiModelProperty(value = "专利权人邮编")
    private String zipCode;

    /** 统计地址 */
    @Excel(name = "统计地址")
    @ApiModelProperty(value = "统计地址")
    private String address;

    /** 专利类型 */
    @Excel(name = "专利类型")
    @ApiModelProperty(value = "专利类型")
    private String pts;

    /** 专利权人类型 */
    @Excel(name = "专利权人类型")
    @ApiModelProperty(value = "专利权人类型")
    private String ppType;

    /** 省份名称 */
    @Excel(name = "省份名称")
    @ApiModelProperty(value = "省份名称")
    private String provinceName;

    /** 城市名称 */
    @Excel(name = "城市名称")
    @ApiModelProperty(value = "城市名称")
    private String cityName;

    /** 区县名称 */
    @Excel(name = "区县名称")
    @ApiModelProperty(value = "区县名称")
    private String districtName;

    /** 批次号 */
    //@Excel(name = "批次号")
    @ApiModelProperty(value = "批次号")
    private String batch;

    /** 原始数据（1是 0否） */
    //Excel(name = "原始数据", readConverterExp = "1=是,0=否")
    @ApiModelProperty(value = "原始数据（1是 0否）")
    private String ogTag;

    /** 原始数据ID */
    //@Excel(name = "原始数据ID")
    @ApiModelProperty(value = "原始数据ID")
    private String ogId;

    /** 创建人 */
    //@Excel(name = "创建人")
    @ApiModelProperty(value = "创建人")
    private String createUser;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("an", getAn())
            .append("databaseDate", getDatabaseDate())
            .append("ad", getAd())
            .append("patentName", getPatentName())
            .append("agentOrgCode", getAgentOrgCode())
            .append("agentOrgName", getAgentOrgName())
            .append("ipc", getIpc())
            .append("peopleName", getPeopleName())
            .append("zipCode", getZipCode())
            .append("address", getAddress())
            .append("pts", getPts())
            .append("ppType", getPpType())
            .append("provinceName", getProvinceName())
            .append("cityName", getCityName())
            .append("districtName", getDistrictName())
            .append("batch", getBatch())
            .append("ogTag", getOgTag())
            .append("ogId", getOgId())
            .append("createUser", getCreateUser())
            .append("createTime", getCreateTime())
            .toString();
    }
}
